Bug 432216 - libxml++-devel does not pull-in glibmm24-devel.x86_64 as dep
libxml++-devel does not pull-in glibmm24-devel.x86_64 as dep
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: libxml++ (Show other bugs)
9
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Konstantin Ryabitsev
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-09 19:36 EST by Tim Niemueller
Modified: 2008-09-30 07:18 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-30 07:18:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tim Niemueller 2008-02-09 19:36:04 EST
Description of problem:
On x86_64 libxml++-devel does not automatically pull-in glibmm24-devel.x86_64,
but only the i386 package.

pkg-config fails stating that the glibmm-2.4 is missing.

Version-Release number of selected component (if applicable):
libxml++-devel-2.20.0-1.fc8.x86_64

How reproducible:
Always

Steps to Reproduce:
0. Only on x86_64:
1. Remove any glibmm libxml++ packages
2. yum install libxml++
3. glibmm24-devel is only installed i386, not x86_64

Actual results:
glibmm24-devel.x86_64 not installed

Expected results:
glibmm24-devel.x86_64 pulled in as dependency

Additional info:
yum install libxml++-devel gives:

Installing:
 libxml++-devel          x86_64     2.20.0-1.fc8     development       438 k
 libxml++-devel          i386       2.20.0-1.fc8     development       438 k
Installing for dependencies:
 glibmm24                i386       2.15.2-1.fc9     development       253 k
 glibmm24-devel          i386       2.15.2-1.fc9     development       4.7 M
 libsigc++20             i386       2.0.18-2.fc9     development        50 k
 libsigc++20-devel       i386       2.0.18-2.fc9     development       1.7 M
 libxml++                i386       2.20.0-1.fc8     development        81 k
 libxml++                x86_64     2.20.0-1.fc8     development        81 k

Without the glibmm24-devel.x86_64 package pkg-config will fail for libxml++.
Comment 1 Bug Zapper 2008-05-14 01:07:09 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Tim Niemueller 2008-09-30 07:18:12 EDT
This is no longer a problem on F9. I don't know when exactly this was fixed. Have just tried it and it works just fine.

Note You need to log in before you can comment on or make changes to this bug.